Bug 1212022 - unable to deploy package from repository if type is not File:Deployment/DomainDeployment
Summary: unable to deploy package from repository if type is not File:Deployment/Domai...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-15 12:22 UTC by Armine Hovsepyan
Modified: 2015-11-02 00:44 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:53 UTC


Attachments (Terms of Use)
video (12.66 MB, application/ogg)
2015-04-15 12:22 UTC, Armine Hovsepyan
no flags Details
server.log (125.26 KB, text/plain)
2015-04-15 12:23 UTC, Armine Hovsepyan
no flags Details
deployUnsupported (105.29 KB, image/png)
2015-07-13 14:32 UTC, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC

Description Armine Hovsepyan 2015-04-15 12:22:28 UTC
Created attachment 1014710 [details]
video

Description of problem:
unable to deploy package from repository if type != File:Deployment(DomainDeployment)

Version-Release number of selected component (if applicable):
JON 3.3.2

How reproducible:
always

Steps to Reproduce:
1. Install and start EAP6.x/AS7 server
2. Create child deployment helloworld-1.0.0.war 
3. create a repository (testrepo)
4. add packages with helloworld-1.0.1.war helloworld-1.0.2.war, helloworld-1.0.3.war with type File:War (WAR File [Web Application (WAR):JBossAS])
5. subscribe helloworld-1.0.0.war to testrepo
6. navigate to contnet -> new sub-tab of helloworld.war resource
7. select helloworld-1.0.1.war and click deploy

Actual results:
After step2. helloword.war with version 1.0.0 is visible in resources list

After step7. Exception in server.log
No current process is visible in GUI

Expected results:
After step7. 
No exception in server.log, GUI shows deployment inProgress in History sub-tab

Additional info:
server.log and video attached

Comment 1 Armine Hovsepyan 2015-04-15 12:23:54 UTC
Created attachment 1014712 [details]
server.log

Comment 3 Mike Foley 2015-04-16 12:53:17 UTC
setting to jon 3.3.2 cr1 for now

Comment 6 Libor Zoubek 2015-05-25 17:14:06 UTC
This is not a bug. If you have JBossAS7:Deployment resource the only package type you're allowed to upload is File. AS7 plugin does not know, how to deploy other package types, because they also come from other plugins. There was a bug, that we did not catch and properly show some meaningful message, which is fixed with bellow commit.

Steps to reproduce:
1. Install and start EAP6.x/AS7 server
2. Create child deployment helloworld-1.0.0.war 
3. create a repository (testrepo)
4. add packages with helloworld-1.0.1.war helloworld-1.0.2.war, helloworld-1.0.3.war with type File:War (WAR File [Web Application (WAR):JBossAS])
5. subscribe helloworld-1.0.0.war to testrepo
6. navigate to contnet -> new sub-tab of helloworld.war resource
7. select helloworld-1.0.1.war and click deploy

Actual results:
After step2. helloword.war with version 1.0.0 is visible in resources list

After step7. Exception in server.log
No current process is visible in GUI

Expected results:
After step7. 
UI shows error message, telling you, that you are deploying wrong package type.


branch:  master
link:    https://github.com/rhq-project/rhq/commit/151e96bbd
time:    2015-05-25 18:58:08 +0200
commit:  151e96bbd5713f12b923570bb57cc3ad372244c1
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1212022 - unable to deploy package from repository if type is not 
         File:Deployment/DomainDeployment

         Now we show/throw error once user attempts to deploy
         packageType incompatible with resource type.


branch:  master
link:    https://github.com/rhq-project/rhq/commit/e7ec8a2a1
time:    2015-05-25 19:11:13 +0200
commit:  e7ec8a2a1349d693b177735e89663dfe3ec3bfb4
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1212022 - unable to deploy package from repository if type is not 
         File:Deployment/DomainDeployment

         improve error message output

Comment 7 Michael Burman 2015-06-16 08:47:35 UTC
Cherry-picked to release/jon3.3.x:

commit d5b094bdc24277f10e5a20b906ad31dfac2b3079
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Mon May 25 19:11:13 2015 +0200

    Bug 1212022 - unable to deploy package from repository if type is not
    File:Deployment/DomainDeployment
    
    improve error message output
    
    (cherry picked from commit e7ec8a2a1349d693b177735e89663dfe3ec3bfb4)

commit 2aca49f665abd954d0ea7b35475f1ecd03e6ce58
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Mon May 25 18:54:58 2015 +0200

    Bug 1212022 - unable to deploy package from repository if type is not
    File:Deployment/DomainDeployment
    
    Now we show/throw error once user attempts to deploy packageType
    incompatible with resource type.
    
    (cherry picked from commit 151e96bbd5713f12b923570bb57cc3ad372244c1)

Comment 8 Simeon Pinder 2015-07-10 18:55:28 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 9 Armine Hovsepyan 2015-07-13 14:32:05 UTC
Created attachment 1051439 [details]
deployUnsupported

Comment 10 Armine Hovsepyan 2015-07-13 14:34:45 UTC
verified. red error message is visible if non supported file type is selected

Comment 12 errata-xmlrpc 2015-07-30 16:41:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.